libsidplayfp::SidTuneInfoImpl Class Referencefinal

`#include <SidTuneInfoImpl.h>`

Inheritance diagram for libsidplayfp::SidTuneInfoImpl:

## Public Member Functions

uint_least16_t | getLoadAddr () const override
| Number of comments.
uint_least16_t | getInitAddr () const override
| Number of comments.
uint_least16_t | getPlayAddr () const override
| Number of comments.
unsigned int | getSongs () const override
| Number of comments.
unsigned int | getStartSong () const override
| Number of comments.
unsigned int | getCurrentSong () const override
| Number of comments.
uint_least16_t | getSidChipBase (unsigned int i) const override
| Number of comments.
int | getSidChips () const override
| Number of comments.
int | getSongSpeed () const override
| Number of comments.
uint_least8_t | getRelocStartPage () const override
| Number of comments.
uint_least8_t | getRelocPages () const override
| Number of comments.
model_t | getSidModel (unsigned int i) const override
| Number of comments.
compatibility_t | getCompatibility () const override
| Number of comments.
unsigned int | getNumberOfInfoStrings () const override
| Number of comments.
const char * | getInfoString (unsigned int i) const override
| Number of comments.
unsigned int | getNumberOfCommentStrings () const override
| Number of comments.
const char * | getCommentString (unsigned int i) const override
| Number of comments.
uint_least32_t | getDataFileLen () const override
| Number of comments.
uint_least32_t | getC64dataLen () const override
| Number of comments.
clock_t | getClockSpeed () const override
| Number of comments.
const char * | getFormatString () const override
| Number of comments.
bool | getFixLoad () const override
| Number of comments.
const char * | getPath () const override
| Number of comments.
const char * | getDataFileName () const override
| Number of comments.
const char * | getInfoFileName () const override
| Number of comments.
Public Member Functions inherited from SidTuneInfo
uint_least16_t | loadAddr () const
uint_least16_t | initAddr () const
uint_least16_t | playAddr () const
unsigned int | songs () const
unsigned int | startSong () const
unsigned int | currentSong () const
uint_least16_t | sidChipBase (unsigned int i) const
int | sidChips () const
int | songSpeed () const
uint_least8_t | relocStartPage () const
uint_least8_t | relocPages () const
model_t | sidModel (unsigned int i) const
compatibility_t | compatibility () const
unsigned int | numberOfInfoStrings () const
| The number of available text info lines.
const char * | infoString (unsigned int i) const
| Text info from the format headers etc.
unsigned int | numberOfCommentStrings () const
| Number of comments.
const char * | commentString (unsigned int i) const
| Used to stash the MUS comment somewhere.
uint_least32_t | dataFileLen () const
uint_least32_t | c64dataLen () const
clock_t | clockSpeed () const
const char * | formatString () const
bool | fixLoad () const
const char * | path () const
const char * | dataFileName () const
const char * | infoFileName () const

## Public Attributes

const char * | m_formatString
unsigned int | m_songs
unsigned int | m_startSong
unsigned int | m_currentSong
int | m_songSpeed
clock_t | m_clockSpeed
compatibility_t | m_compatibility
uint_least32_t | m_dataFileLen
uint_least32_t | m_c64dataLen
uint_least16_t | m_loadAddr
uint_least16_t | m_initAddr
uint_least16_t | m_playAddr
uint_least8_t | m_relocStartPage
uint_least8_t | m_relocPages
std::string | m_path
std::string | m_dataFileName
std::string | m_infoFileName
std::vector< model_t > | m_sidModels
std::vector< uint_least16_t > | m_sidChipAddresses
std::vector< std::string > | m_infoString
std::vector< std::string > | m_commentString
bool | m_fixLoad

## Additional Inherited Members

Public Types inherited from SidTuneInfo
enum | clock_t { CLOCK_UNKNOWN , CLOCK_PAL , CLOCK_NTSC , CLOCK_ANY }
enum | model_t { SIDMODEL_UNKNOWN , SIDMODEL_6581 , SIDMODEL_8580 , SIDMODEL_ANY }
enum | compatibility_t { COMPATIBILITY_C64 , COMPATIBILITY_PSID , COMPATIBILITY_R64 , COMPATIBILITY_BASIC }
Static Public Attributes inherited from SidTuneInfo
static const int | SPEED_VBI = 0
| Vertical-Blanking-Interrupt.
static const int | SPEED_CIA_1A = 60
| CIA 1 Timer A.
Protected Member Functions inherited from SidTuneInfo
| ~SidTuneInfo ()
| Number of comments.

## Detailed Description

The implementation of the SidTuneInfo interface.

## Member Function Documentation

## getC64dataLen()

uint_least32_t libsidplayfp::SidTuneInfoImpl::getC64dataLen | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getClockSpeed()

clock_t libsidplayfp::SidTuneInfoImpl::getClockSpeed | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getCommentString()

const char * libsidplayfp::SidTuneInfoImpl::getCommentString | ( | unsigned int | i | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getCompatibility()

compatibility_t libsidplayfp::SidTuneInfoImpl::getCompatibility | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getCurrentSong()

unsigned int libsidplayfp::SidTuneInfoImpl::getCurrentSong | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getDataFileLen()

uint_least32_t libsidplayfp::SidTuneInfoImpl::getDataFileLen | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getDataFileName()

const char * libsidplayfp::SidTuneInfoImpl::getDataFileName | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getFixLoad()

bool libsidplayfp::SidTuneInfoImpl::getFixLoad | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getFormatString()

const char * libsidplayfp::SidTuneInfoImpl::getFormatString | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getInfoFileName()

const char * libsidplayfp::SidTuneInfoImpl::getInfoFileName | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getInfoString()

const char * libsidplayfp::SidTuneInfoImpl::getInfoString | ( | unsigned int | i | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getInitAddr()

uint_least16_t libsidplayfp::SidTuneInfoImpl::getInitAddr | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getLoadAddr()

uint_least16_t libsidplayfp::SidTuneInfoImpl::getLoadAddr | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getNumberOfCommentStrings()

unsigned int libsidplayfp::SidTuneInfoImpl::getNumberOfCommentStrings | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getNumberOfInfoStrings()

unsigned int libsidplayfp::SidTuneInfoImpl::getNumberOfInfoStrings | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getPath()

const char * libsidplayfp::SidTuneInfoImpl::getPath | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getPlayAddr()

uint_least16_t libsidplayfp::SidTuneInfoImpl::getPlayAddr | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getRelocPages()

uint_least8_t libsidplayfp::SidTuneInfoImpl::getRelocPages | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getRelocStartPage()

uint_least8_t libsidplayfp::SidTuneInfoImpl::getRelocStartPage | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getSidChipBase()

uint_least16_t libsidplayfp::SidTuneInfoImpl::getSidChipBase | ( | unsigned int | i | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getSidChips()

int libsidplayfp::SidTuneInfoImpl::getSidChips | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getSidModel()

model_t libsidplayfp::SidTuneInfoImpl::getSidModel | ( | unsigned int | i | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getSongs()

unsigned int libsidplayfp::SidTuneInfoImpl::getSongs | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getSongSpeed()

int libsidplayfp::SidTuneInfoImpl::getSongSpeed | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

## getStartSong()

unsigned int libsidplayfp::SidTuneInfoImpl::getStartSong | ( |  | ) | const

inline override virtual

Number of comments.

Implements SidTuneInfo.

The documentation for this class was generated from the following file:

- SidTuneInfoImpl.h